{% load static %}
{% load widget_tweaks %}
<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <title>{{ site.name }} - {{ view.page_name }}</title>
    <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1" />

    <link rel="shortcut icon" href="{% static 'assets/images/logos/favicon.png' %}" type="image/png" />

    <link rel="stylesheet" href="{% static 'assets/dashboard/font/iconsmind-s/css/iconsminds.css' %}" />
    <link rel="stylesheet" href="{% static 'assets/dashboard/font/simple-line-icons/css/simple-line-icons.css' %}" />
    <link rel="stylesheet" href="{% static 'assets/dashboard/css/vendor/bootstrap.min.css' %}" />
    <link rel="stylesheet" href="{% static 'assets/dashboard/css/vendor/bootstrap.rtl.only.min.css' %}" />
    <link rel="stylesheet" href="{% static 'assets/dashboard/css/vendor/bootstrap-float-label.min.css' %}" />
    <link rel="stylesheet" href="{% static 'assets/dashboard/css/main.css' %}" />
</head>

<body class="background show-spinner no-footer">
    <div class="fixed-background"></div>
    <main>
        <div class="container">
            <div class="row h-100">
                <div class="col-12 col-md-10 mx-auto my-auto">
                    <div class="card auth-card">
                        <div class="position-relative image-side ">

                            <p class=" text-white h2">DENEB IS IN THE DETAILS</p>

                            <p class="white mb-0">
                                Please use your credentials to login.
                                <br>If you are not a member, please
                                <a href="{% url 'accounts:register' %}" class="white">register</a>.
                            </p>
                        </div>
                        <div class="form-side">
                            <a href="{% url 'pages:home' %}">
                                
                            </a>
                            <h6 class="mb-4">Registration</h6>
                            {% if messages %}
                                <ul class="messages">
                                    {% for message in messages %}
                                        <div class="alert alert-{{ message.tags }}" role="alert">
                                            {{ message }}
                                        </div>
                                    {% endfor %}
                                </ul>
                            {% endif %}
                            <form method="POST" id="captchaForm" action="{% url 'accounts:register' %}">
                                {% csrf_token %}
                                <input type="hidden" name="g-recaptcha-response" id='recaptcha'>

                                {% for field in form.visible_fields %}
                                    <div class="form-group">
                                        <label  class="form-group has-float-label mb-4" for="{{ field.id_for_label }}">
                                            {{ field|add_class:'form-control' }}
                                            <span>{{ field.label }}</span>
                                        </label>
                                        
                                        {% for error in field.errors %}
                                        <div class="alert alert-danger" role="alert">
                                            {{ error }}
                                        </div>
                                        {% endfor %}
                                    </div>
                                {% endfor %}

                                <div class="d-flex justify-content-between align-items-center">
                                    <a href="{% url 'login' %}">Do you have an account?</a>
                                    <button class="btn btn-primary btn-lg btn-shadow" type="submit">Register</button>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </main>
    <script src="{% static 'assets/dashboard/js/vendor/jquery-3.3.1.min.js' %}"></script>
    <script src="{% static 'assets/dashboard/js/vendor/bootstrap.bundle.min.js' %}"></script>
    <script src="{% static 'assets/dashboard/js/dore.script.js' %}"></script>
    <script src="{% static 'assets/dashboard/js/scripts.js' %}"></script>

    <script src="https://www.google.com/recaptcha/api.js?render=6LfZsvgUAAAAAJX02IjM58aIqO5y-g60SRJGPR4A"></script>
    <script>
        grecaptcha.ready(function() {
            $('#captchaForm').submit(function(e){
                var form = this;
                e.preventDefault()
                grecaptcha.execute('6LfZsvgUAAAAAJX02IjM58aIqO5y-g60SRJGPR4A', {action: 'recaptcha'}).then(function(token) {
                    $('#recaptcha').val(token)
                    form.submit()
                });
            })

        });
    </script>
</body>

</html>